<?php

if(isset($_FILES['photo'])){
unset($erreur);
$extensions_ok = array('png', 'gif', 'jpg', 'jpeg');
$taille_max = 100000;
$dest_dossier = 'images/';
// utilisez également des slashes sous windows : $dest_dossier = 'd:/damien/photos/';
// vérifications
if( !in_array( substr(strrchr($_FILES['photo']['name'], '.'), 1), $extensions_ok) ){
$erreur = 'Veuillez s&eacute;lectionner un fichier de type png, gif ou jpg !';
}
elseif( file_exists($_FILES['photo']['tmp_name']) and filesize($_FILES['photo']['tmp_name']) > $taille_max){
$erreur = 'Votre fichier doit faire moins de 500Ko !';
}
	// copie du fichier
	if(!isset($erreur)){
		$dest_fichier = basename($_FILES['photo']['name']);
		// formatage nom fichier
		// enlever les accents
		$dest_fichier = strtr($dest_fichier,
		'ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïðòóôõöùúûüýÿ',
		'AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy');
		// remplacer les caracteres autres que lettres, chiffres et point par _
		$dest_fichier = preg_replace('/([^.a-z0-1]+)/i', '_', $dest_fichier);
		// copie du fichier
		move_uploaded_file($_FILES['photo']['tmp_name'], $dest_dossier.$dest_fichier);
		echo($_FILES['photo']['tmp_name']);
	}
	else{
	echo($erreur);
	}
}
?>